curl
curl --request DELETE \
--url https://query-suggestions.us.algolia.com/1/configs/ALGOLIA_INDEX_NAME \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new QuerySuggestionsClient(
new QuerySuggestionsConfig(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.DeleteConfigAsync("<YOUR_INDEX_NAME>");
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. suggestions.ALGOLIA_APPLICATION_REGION
client, err := suggestions.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", suggestions.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.DeleteConfig(client.NewApiDeleteConfigRequest(
"<YOUR_INDEX_NAME>"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
QuerySuggestionsClient client = new QuerySuggestionsClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
BaseResponse response = client.deleteConfig("<YOUR_INDEX_NAME>");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initQuerySuggestions({ region: 'us' });
// Call the API
const response = await client.deleteConfig({ indexName: 'theIndexName' });
// print the response
console.log(response);// Initialize the client
val client =
QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.deleteConfig(indexName = "<YOUR_INDEX_NAME>")
// print the response
println(response)// Initialize the client
$client = QuerySuggestionsClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->deleteConfig(
'<YOUR_INDEX_NAME>',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use QuerySuggestionsClient instead, which exposes the exact same methods.
client = QuerySuggestionsClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_config(
index_name="<YOUR_INDEX_NAME>",
)
# print the response
print(response)# Initialize the client
client = Algolia::QuerySuggestionsClient.create(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_config("<YOUR_INDEX_NAME>")
# print the response
puts(response)// Initialize the client
val client = QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.deleteConfig(
indexName = "<YOUR_INDEX_NAME>"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try QuerySuggestionsClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.deleteConfig(indexName: "<YOUR_INDEX_NAME>")
// print the response
print(response){
"status": 200,
"message": "Configuration was deleted with success."
}Query Suggestion API
Delete a configuration
Deletes a Query Suggestions configuration.
DELETE
/
1
/
configs
/
{indexName}
curl
curl --request DELETE \
--url https://query-suggestions.us.algolia.com/1/configs/ALGOLIA_INDEX_NAME \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new QuerySuggestionsClient(
new QuerySuggestionsConfig(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.DeleteConfigAsync("<YOUR_INDEX_NAME>");
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. suggestions.ALGOLIA_APPLICATION_REGION
client, err := suggestions.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", suggestions.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.DeleteConfig(client.NewApiDeleteConfigRequest(
"<YOUR_INDEX_NAME>"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
QuerySuggestionsClient client = new QuerySuggestionsClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
BaseResponse response = client.deleteConfig("<YOUR_INDEX_NAME>");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initQuerySuggestions({ region: 'us' });
// Call the API
const response = await client.deleteConfig({ indexName: 'theIndexName' });
// print the response
console.log(response);// Initialize the client
val client =
QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.deleteConfig(indexName = "<YOUR_INDEX_NAME>")
// print the response
println(response)// Initialize the client
$client = QuerySuggestionsClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->deleteConfig(
'<YOUR_INDEX_NAME>',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use QuerySuggestionsClient instead, which exposes the exact same methods.
client = QuerySuggestionsClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_config(
index_name="<YOUR_INDEX_NAME>",
)
# print the response
print(response)# Initialize the client
client = Algolia::QuerySuggestionsClient.create(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_config("<YOUR_INDEX_NAME>")
# print the response
puts(response)// Initialize the client
val client = QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.deleteConfig(
indexName = "<YOUR_INDEX_NAME>"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try QuerySuggestionsClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.deleteConfig(indexName: "<YOUR_INDEX_NAME>")
// print the response
print(response){
"status": 200,
"message": "Configuration was deleted with success."
}Deleting only removes the configuration and stops updates to the Query Suggestions index.
To delete the Query Suggestions index itself, use the Search API and the
Delete an index operation.
Required ACL: editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Query Suggestions index name. Name of the Query Suggestions index (case-sensitive).
Example:
"ALGOLIA_INDEX_NAME"
Last modified on March 23, 2026
Was this page helpful?
⌘I